REGULATOR_GET_EXCLUS(9)

NAME
regulator_get_exclusive - obtain exclusive access to a regulator.

SYNOPSIS

struct regulator * regulator_get_exclusive(struct device * dev, const char * id);

ARGUMENTS

dev
    device for regulator “consumer”

id
    Supply name or regulator ID.

DESCRIPTION

Returns a struct regulator corresponding to the regulator producer, or IS_ERR condition containing errno. Other consumers will be unable to obtain this regulator while this reference is held and the use count for the regulator will be initialised to reflect the current state of the regulator.

This is intended for use by consumers which cannot tolerate shared use of the regulator such as those which need to force the regulator off for correct operation of the hardware they are controlling.

Use of supply names configured via regulator_set_device_supply is strongly encouraged. It is recommended that the supply name used should match the name used for the supply and/or the relevant device pins in the datasheet.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT